<template>
  <div class="change" >
      <div class="top1" > 
         <div v-for="(item,index) in changelist" :key="index" @click="ensure(item.name)" class="item">{{item.name}}</div> 
      </div>
      <!-- :style="{display:num==1?'block':'none'}" -->
      <div class="line">
          <div class="hightlight" :style="{background:num==1?'#000':'none'}"></div>
          <div class="hightlight" :style="{background:num==2?'#000':'none'}"></div>
          <div class="hightlight" :style="{background:num==3?'#000':'none'}"></div>
      </div>
      <div class="record" v-if="num===1">
        <div class="text" @click="rule1">
          <span >您当前可用积分</span>
          <img :src="rule" alt="积分规则">
          </div>
        <div class="num" @click="record(cardlist.data.currentAvailablePoints,cardlist.data.expiringPoints)">
          <span>{{cardlist.data.currentAvailablePoints}}  </span>
          <img :src="right" alt="" >
        </div>
        <div class="footer" @click="shop">前往积分商城</div>
      </div>  
      <!-- v-for="(item,index) in changlist[1].data -->
      <div class="list" v-if="num===2">
              <div class="nodata" v-if="giftlist.data.length===0">暂无可用礼券</div>
          <div class="card" @click="info(item)" v-for="(item,index) in giftlist.data" :key="index">
            <div class="left">
            <div class="one">{{item.couponName}}</div>
            <div class="two" v-if="item.couponType === '现金券'">{{item.amount}}满{{item.amountCondition}}可用</div>
            <div class="three" v-if="item.couponType === '折扣券'">{{item.discount}}折</div>
            <div class="four">有效期{{item.startDate}}~{{item.endDate}}</div>
            </div>
            <img :src="status" alt="" v-if="item.couponStatus === '未使用'">
          </div>
           
      </div>  
      <div class="page" v-if="num===3">
        <div class="sugges">
          <div v-for="(item,index) in sugesstion" :key="index" @click="sugess(item)">
            <span>{{item}}</span>
            <img :src="right" alt="">
          </div>
        </div>
          
      </div>
      <div class="hintbox"  style="width:100%" v-if="show">
        <div class="hintboxBG" >
          <div class="hintboxCT">
            <div class="box">
             <div style="margin-top:54rpx">大中华区客户服务电话</div>
              <div>400-860-888</div>
            </div>
            <div class="btn" @click.stop.prevent="phone()">立即拨打</div>
          </div>
        </div>
        <div class="close "@click="close1">
            <img :src="close" alt="" >
        </div>
        <div class="background" ></div>
        <!-- <div class="mask"></div> -->
      </div>
  </div>
      
</template>

<script type="text/ecmascript-6">
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import config from '@/config'
  export default {
    data(){
      return{
        rule:config.url+'rule.png',
        right:config.url+'right.png',
        status:config.url+'status.png',
        close:config.url+'close.png',
        show:false,
        datas:'',
        servicelist:'',
        cardlist:'',
        giftlist:[],
        list:[],
        num:1,
        sugesstion:['保养建议','改衣记录','电话客服','专属品牌顾问']
        
      }
    },

    props:{
        changelist:{
        default(){
          return{
            name:'',
            data:[]
          }
        }
      }
      
    },
    methods:{
          record(item,data){
            console.log('expiringPoints',data);
            config.href(config.shop.recordinfo + '?currentAvailablePoints=' + item + '&expiringPoints='+data);

          },
          rule1(){
            console.log('22');
            config.href(config.mainPage.recordrule)
          },
          close1(){
            console.log('guanbi');
            this.show = false;
          },
          //phone
          phone(){
            wx.makePhoneCall({
              phoneNumber: '400-860-888',//仅为示例，并非真实的电话号码
              success(res){
                console.log('拨打电话成功');

                },
                fail(res){
                console.log('拨打电话失败');

                }
             })

          },
          //积分商城
          shop(){
            console.log('积分商城跳转');
            config.href(`${config.shop.home}?grade=${this.cardlist.data.grade}&memberPoint=${this.cardlist.data.currentAvailablePoints}&memberName=${this.cardlist.data.memberName}`);
          },
         //建议
         sugess(data){
           if(data === '保养建议'){
             config.href(config.other.suggestion);
           }
           if(data === '改衣记录'){
             config.href(config.other.add);
           }
           if(data === '电话客服'){
             this.show = true
             
           }
           if(data === '专属品牌顾问'){
             console.log('memberid',wx.getStorageSync('memberid'));
            //  return;
             config.href(config.customer.home+'?memberid='+wx.getStorageSync('memberid'));
             
           }

         },
         //礼券
         info(item){
           console.log('礼券列表跳转');
           config.href(config.mycard.cardinfo+'?couponId=' + item.couponId +'&couponNo='+item.couponNo +'&couponStatus='+item.couponStatus);
         },
        //千分位
         numFormat(num){
              var res = num.toString().replace(/\d+/, function(n){ // 先提取整数部分
                  return n.replace(/(\d)(?=(\d{3})+$)/g,function($1){
                      return $1+",";
                  });
              })
              return res;
          },
          getinfo(){
            let that = this;
            let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
            let memberId = wx.getStorageSync('memberid');
            VeevlinkClient(
              '/member/coupon/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
              'GET',
              '',
              function (data) {
                console.log(data);
                if(data.success){
                  if(data.records[0]){
                    that.datas = data.records[0].currentCouponList;
                    
                  }else{
                    
                  }
                  
                }else{
                  that.hintbox.show = true;
                  that.hintbox.text = success.message;
                }
              },
              function (error) {
                console.log(error);
              })

          },
        ensure(data){
            let that = this;
            console.log('1',data);
            if(data === '积分'){
                that.num = 1;
                console.log('积分',that.num);
            }
             if(data === '礼券'){
                that.num = 2;
                // this.getinfo()
                console.log('礼券',that.num);

            }
            if(data === '服务'){
                that.num = 3;
                console.log('服务',that.num);
            }

        },
      
    },
    onLoad(){
      console.log('onload',this.changelist);
      this.giftlist = this.changelist[1];
      this.servicelist = this.changelist[2];
      this.cardlist = this.changelist[0];
      console.log('giftlist',this.changelist[1]);
      console.log('servicelist',this.changelist[2]);
      console.log('cardlist',this.changelist[0]);

    }

  }
</script>
<style >
page{
  background:#fff;
}
</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.change{
    width: 6.6rem;
    margin: 0 auto;
    margin: 0 0.42rem;
    margin-top: 0.7rem;
    //top: 200rpx;
    .hintboxBG {
    position: fixed;
    z-index: 1001;
    top: 4rem;
    left: 1.2rem;
    width: 5.12rem;
     
  }
  .close{
    position: absolute;
    bottom: 5.4rem;
    z-index: 9999;
    img{
      width: 0.68rem;
      height: 0.68rem;
      margin: 0 auto;
    }
  }
  .mask{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    z-index:999;
    position:fixed;
    top:0;
  }

  .hintboxCT {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height: 3rem;
    background: #fff;
    border-top-left-radius:0.1rem;
    border-top-right-radius:0.1rem;
  }
  .box{
    height: 2.2rem;
    width: 100%;
    line-height: 0.54rem;
    text-align: center;
   
  }


  .hintbox .text, .hintbox .btn {
    position: relative;
    background-color: #fff;
    z-index: 1001;
  }

  .hintbox{
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0rem;
    word-break: break-all;
    width: 100%;
    min-height: 1.64rem;
    max-height: 6.5rem;
    overflow-y: scroll;
    padding: 0.2rem;
    color: #000;
    font-size: 0.32rem;
    line-height: .40rem;
    letter-spacing: 0.01rem;
    box-sizing: border-box;
    border-radius: 0.1rem 0.1rem 0 0;
  }

  .hintbox .btn {
    border-top: 1px solid #D8D8D8;
    width: 100%;
    height: 0.8rem;
    text-align: center;
    line-height: 0.8rem;
    font-size: 0.28rem;
    color: #727171;
    border-radius: 0 0 0.1rem 0.1rem;
    background: #E3E3E3;
  }

  .background {
    z-index: 1000;
    background-color: #000;
    opacity: 0.4;
  }
    .top1{
       display: flex;
       border-bottom: 1px solid #D3D3D4;
       div{
         width: 33%;
         text-align: center;
         height: 0.8rem;
         line-height: 0.8rem;
       }
     }
     .line{
       display: flex;
       width: 6.6rem;
       margin: 0 auto;
       bottom: 1px solid red;
       .hightlight{
            width: 33%;
            height: 0.01rem;
            // background-color: #000;
            // display: none;
         }

     }
         .record{
            text-align: center;
            margin-top: 0.7rem;
            .text{
              margin: 0.1rem;
              font-size: 0.28rem;
              color: #727171;
              img{
                width: 0.15rem;
                height: 0.16rem;
                position: relative;
                top: -0.1rem;
              }
            }
             .num{
                margin-left: 2.94rem;
                margin-top: 0.36rem;
                color: #727171;
                font-size: 0.28rem;
                display: flex;
                img{
                  width: 0.13rem;
                  height: 0.14rem;
                  position: relative;
                  top: 0.05rem;
                  left: 0.1rem;
                }
              }
            .footer{
              background-color: #9C9DA1;
              font-size: 0.28rem;
              color: #fff;
              text-align: center;
              height: 0.58rem;
              line-height: 0.58rem;
              margin: 0.67rem 2.18rem 0.63rem 2.18rem;
              width: 2.31rem;
              position:relative;
              // top:-200px;

            }

         }
         .list{
            .nodata{
              color: #000;
              opacity: 0.4;
              margin-top: 1.44rem;
              margin-left: 2.7rem;
              font-size: 0.22rem;
              
            }
            .card{
            width: 5.86rem;
            height: 2rem;
            margin: 0.24rem 0.4rem;
            background: #E4E4E4;
            padding-top:0.18rem;
            display:flex;
            .left{
              .one{
                  font-size: 0.3rem;
                  color: #FF7C10;
                  margin: 0.18rem 0.4rem;
              }
              .two,.three{
                    font-size: 0.28rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }
              .four{
                  font-size: 0.24rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }

            }
              img{
              position: absolute;
              //top: -2.15rem;
              width: 0.79rem;
              height: 0.79rem;
              right: 0.85rem;
              margin-top:-0.18rem;
              //left: 5.1rem;

            }
          }
           
         }
         
         .sugges{
           div{
             height: 1.09rem;
             line-height: 1.09rem;
             width: 5.03rem;
             margin: 0 auto;
             border-bottom: 1px solid #9FA0A0;
             font-size: 0.28rem;
             color: #727171;
             display: flex;
             img{
               width: 0.13rem;
               height: 0.16rem;
               position: absolute;
               right: 1.5rem;
               margin-top: 0.45rem;
             }
           }
         }
    
    
    

}
  
</style>
